﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>Notbloko</title>

    <script src="/lib/jquery/dist/jquery.min.js"></script>
    <script src="/lib/datetimepicker/jquery.datetimepicker.min.js"></script>
    <script src="/lib/jquery-ui/jquery-ui.min.js"></script>
    <script src="/lib/angular/angular.min.js"></script>
    <script src="/lib/angular-route/angular-route.min.js"></script>
    <script src="/lib/bootstrap/dist/js/bootstrap.min.js"></script>

    <script src="/js/Room/Bank.js"></script>
    <script src="/js/Room/Bank/RecordService.js"></script>
    <script src="/js/Room/Bank/FilterService.js"></script>
    <script src="/js/Templates/Header.js"></script>
    <script src="/js/Account/Api.js"></script>
    <script src="/js/Room/Bank/Api.js"></script>
    <script src="/js/Room/Bank/Types.js"></script>
    <script src="/js/Helpers/Array.js"></script>
    <script src="/js/Helpers/Utf.js"></script>
    <script src="/js/Common/Error.js"></script>

    <script>
        function formSubmitLoginToAction(action) {
            var form = document.getElementById("formLogin");
            form.setAttribute("action", "/Account/" + action);
            form.submit();
        }
    </script>

    <link rel="stylesheet" href="/css/Templates/Header.css" />
    <link rel="stylesheet" href="/css/Room/Bank.css"/>
    <link rel="stylesheet" href="/lib/bootstrap/dist/css/bootstrap.min.css"/>
    <link rel="stylesheet" href="/lib/jquery-ui/themes/base/jquery-ui.min.css" />
</head>
<body>
    <div ng-app="notblokoApp">
        <div ng-include src="'/Templates/Header.html'"></div>

        <div class="container container-table">
            <div class="row">
                <p>
                    Bank room
                </p>
            </div>
            <div class="row">
                <ul class="nav nav-tabs">
                    <li id="navTabUpload" role="presentation" class=""><a href="#/upload">Upload</a></li>
                    <li id="navTabFilters" role="presentation" class=""><a href="#/filters">Filters</a></li>
                    <li id="navTabReports" role="presentation" class=""><a href="#/reports">Reports</a></li>
                </ul>
            </div>
            <div class="row">
                <div ng-view></div>
            </div>
        </div>

        <script type="text/ng-template" id="upload.htm">
            <h2>Upload</h2>
            <div ng-controller="UploadController">
                <button class="btn btn-primary" ng-click="selectCsvFile()">Upload Your File</button>
                <input type="file" style="display:none"
                        id="file" name='file' 
                        onchange="angular.element(this).scope().uploadCsvFileNameChaged(event)" />

                Available filters:
                <div class="">
                    <div ng-repeat="f in filters">
                        {{f.name}}
                    </div>
                </div>

                <table ng-table="tableRecords" class="table table-hover table-condensed table-striped table-bordered">
                    <tr ng-repeat="r in records">
                        <td>{{ r.date | date : "y.MM.dd" }}</td>
                        <td>{{ r.account }}</td>
                        <td>
                            <p ng-show="{{ r.isDebit }}">Debit</p>
                            <p ng-show="{{ r.isCredit }}">Credit</p>
                        </td>
                        <td>{{ r.amount }}</td>
                        <td>{{ r.currency }}</td>
                        <td>{{ r.operationType }}</td>
                        <td>{{ r.receiver }}</td>
                        <td>{{ r.description }}</td>
                        <td>
                            <div ng-repeat="f in r.filters">
                                {{f.name}}
                            </div>
                        </td>
                    </tr>
                </table>
                <div ng-show="records.length">
                    <button class="btn btn-primary" ng-click="saveRecords()">Save records</button>
                </div>
            </div>
        </script>

        <script type="text/ng-template" id="filters.htm">
            <h2>Filters</h2>

            <div class="">
                <button class="btn btn-info" ng-click="refreshFilters()">Refresh filters</button>

                <button type="button" class="btn btn-success" data-toggle="collapse" data-target="#newFilter">Add New Filter</button>

                <div id="newFilter" class="collapse">
                    <input type="text" placeholder="Name" ng-model="newFilterName"/>

                    <input type="text" placeholder="Expression" ng-model="newFilterExpression"/>

                    <button ng-click="addFilter()" class="btn btn-success btn-xs"><span class="glyphicon glyphicon-plus"></span></button>
                    <button class="btn btn-danger btn-xs" data-toggle="collapse" data-target="#newFilter"><span class="glyphicon glyphicon-minus"></span></button>
                </div>
            </div>

            <table class="table table-hover table-condensed table-striped table-bordered" ng-table="tableFilters">
                <tr ng-repeat="f in filters">
                    <td class="col-sm-1 text-center">
                        <div ng-show="f.isEditMode">
                            <button class="btn btn-success btn-xs"ng-click="editFilterSave(f.id)"><span class="glyphicon glyphicon-ok"></span></button>
                            <button class="btn btn-danger btn-xs" ng-click="editFilterCancel(f.id)"><span class="glyphicon glyphicon-remove"></span></button>
                        </div>
                        <div ng-hide="f.isEditMode">
                            <button class="btn btn-primary btn-xs" ng-click="editFilter(f.id)"><span class="glyphicon glyphicon-pencil"></span></button>
                            <button class="btn btn-danger btn-xs" ng-click="deleteFilter(f.id)"><span class="glyphicon glyphicon-trash"></span></button>
                        </div>
                    </td>
                    <td class="col-sm-2">
                        <div ng-hide="f.isEditMode">
                            {{ f.name }}
                        </div>
                        <div ng-show="f.isEditMode">
                            <input type="text" placeholder="Name" ng-model="f.name" />
                        </div>
                    </td>
                    <td>
                        <div ng-hide="f.isEditMode">
                            {{ f.expression }}
                        </div>
                        <div ng-show="f.isEditMode">
                            <input type="text" placeholder="Name" ng-model="f.expression" />
                        </div>
                    </td>
                </tr>
            </table>
        </script>

        <script type="text/ng-template" id="reports.htm">
            <h2>Reports</h2>
            <table class="">
                <tr>
                    <td class="col-md-1">
                        Date From:
                    </td>
                    <td class="col-md-1">
                        <input ng-model="dateFrom" class="datepicker" type="text">
                    </td>
                    <td class="col-md-1">
                        Date To:
                    </td>
                    <td class="col-md-1">
                        <input ng-model="dateTo" class="datepicker" type="text">
                    </td>
                    <td class="col-md-8">

                    </td>
                </tr>
                <tr>
                    <td class="col-md-1">
                        <button class="btn btn-primary" ng-click="requestRecords(dateFrom, dateTo)">Request</button>
                    </td>
                </tr>
            </table>


            Available filters:
            <div class="container" >
                <div ng-repeat="f in filters" style="float:left; padding:10px">
                    <div class="checkbox">
                        <label><input type="checkbox" ng-model="f._checked">{{f.name}}</label>
                    </div>
                    <div ng-show="f._totalDebit > 0">D: {{f._totalDebit | number:2}}</div>
                    <div ng-show="f._totalCredit > 0">C: {{f._totalCredit | number:2}}</div>
                </div>

                <div ng-show="totalCreditNonFilter > 0 || totalDebigNonFilter > 0" style="float:left; padding:10px">
                    <div class="checkbox">
                        <label><input type="checkbox" ng-model="checkedNonFilter">Other</label>
                    </div>
                    <div ng-show="totalDebitNonFilter > 0">D: {{totalDebitNonFilter | number:2}}</div>
                    <div ng-show="totalCreditNonFilter > 0">C: {{totalCreditNonFilter | number:2}}</div>
                </div>

                
            </div>

            <table ng-table="tableRecords" class="table table-hover table-condensed table-striped table-bordered">
                <tr ng-repeat="r in records | filter : filterIsActive">
                    <td>{{ r.date | date : "y.MM.dd" }}</td>
                    <td>{{ r.account }}</td>
                    <td>
                        <p ng-show="{{ r.isDebit }}">Debit</p>
                        <p ng-show="{{ r.isCredit }}">Credit</p>
                    </td>
                    <td>{{ r.amount }}</td>
                    <td>{{ r.currency }}</td>
                    <td>{{ r.operationType }}</td>
                    <td>{{ r.receiver }}</td>
                    <td>{{ r.description }}</td>
                    <td>
                        <div ng-repeat="f in r.filters">
                            {{f.name}}
                        </div>
                    </td>
                </tr>
            </table>

        </script>
    </div>
</body>
</html>